#include "vu_meter.h"

#include <Arduino.h>
#include "searduino.h"


void
vu_meter(byte sensorValue)
{
  if (sensorValue <= 31)
    lightLeds(1);

  else if (sensorValue <= 63)
    lightLeds(2);

  else if (sensorValue <= 95)
    lightLeds(3);

  else if (sensorValue <= 127)
    lightLeds(4);

  else if (sensorValue <= 159)
    lightLeds(5);

  else if (sensorValue <= 191)
    lightLeds(6);

  else if (sensorValue <= 223)
    lightLeds(7);

  else if (sensorValue <= 255)
    lightLeds(8);
}


void
lightLeds(int num)
{
  byte i;
  for (i = 2; i < (2 + num); i++){
    digitalWrite(i, HIGH);
  }
  for (i = (2 + num); i <= 9; i++)
    {
      digitalWrite(i, LOW);
    }
}  
